Doomsday Engine - Bug #2182

Bindings are sometimes inadvertently cleared (failed to write at shutdown?)
2016-11-02 08:31 - skyjake

Status: Closed Start date: 2016-11-02
Priority: High % Done: 100%
Assignee: skyjake

Category: Defect

Target version:

Description

Sometimes when starting a game, one finds that control bindings have gone missing. defaultbindings fixes the problem. This seems
to be a somewhat random issue that may be related to FS shutdown (bindings not written at all, or not written to disk in time?).

History

#1 - 2017-02-08 10:09 - skyjake
- Status changed from New to Closed

- % Done changed from 0 to 100

There were two problems here:

e The periodic autosave of config files was being done during game startup when bindings weren't initialized yet.
e Sometimes Home Ul widgets retained keyboard focus, thus not allowing the game to receive key events.

#2 - 2017-02-25 12:02 - skyjake
- Target version deleted (49)
